Bug 107806 - [EFL][WK2] Use C API inside ewk_auth_request
Summary: [EFL][WK2] Use C API inside ewk_auth_request
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks: 107657
  Show dependency treegraph
 
Reported: 2013-01-24 02:55 PST by Chris Dumez
Modified: 2013-02-01 04:57 PST (History)
11 users (show)

See Also:


Attachments
Patch (10.55 KB, patch)
2013-01-24 03:26 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (10.51 KB, patch)
2013-01-28 11:11 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (9.13 KB, patch)
2013-01-29 11:56 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2013-01-24 02:55:19 PST
As per Bug 107657, we should start using the C API internally to avoid violating layering.
Comment 1 Chris Dumez 2013-01-24 03:26:31 PST
Created attachment 184456 [details]
Patch
Comment 2 Chris Dumez 2013-01-28 11:11:25 PST
Created attachment 185015 [details]
Patch

Rebased on master. Could someone please review?
Comment 3 Chris Dumez 2013-01-29 11:56:16 PST
Created attachment 185277 [details]
Patch

Simplify the patch a little. No longer requires any new C API.
Comment 4 Kenneth Rohde Christiansen 2013-02-01 04:18:19 PST
Comment on attachment 185277 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=185277&action=review

LGTM

> Source/WebKit2/ChangeLog:11
> +        classes directly, to avoid violating layering.
> +
> +        * UIProcess/API/efl/ewk_auth_request.cpp:

You probably want to add something like: Refactoring only, tested by existing tests
Comment 5 WebKit Review Bot 2013-02-01 04:57:50 PST
Comment on attachment 185277 [details]
Patch

Clearing flags on attachment: 185277

Committed r141581: <http://trac.webkit.org/changeset/141581>
Comment 6 WebKit Review Bot 2013-02-01 04:57:55 PST
All reviewed patches have been landed.  Closing bug.